package org.jeecg.common.dto.archives;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.archives.entity.ProjectManageArchivesAndBusiness;

import java.math.BigDecimal;

/**
   * @Author jihaosen
   * @date 2021/2/24
   */
@ApiModel("项目档案--里程碑信息表新增请求参数")
@Data
public class ProArchivesAndBusinessAddReqDTO {
    @ApiModelProperty( "id")
    private String id;
    @ApiModelProperty( "计划id")
    private String planId;
    @ApiModelProperty( "计划类型 1.收款计划 2.回款情况 3.付款计划 4.付款情况")
    private Integer planType;
    @ApiModelProperty( "计划名称")
    private String planName;
    @ApiModelProperty( "第一笔")
    private BigDecimal price1;
    @ApiModelProperty( "第二笔")
    private BigDecimal price2;
    @ApiModelProperty( "第三笔")
    private BigDecimal price3;
    @ApiModelProperty( "第四笔")
    private BigDecimal price4;
    @ApiModelProperty( "第五笔")
    private BigDecimal price5;
    @ApiModelProperty("对应里程碑1")
    private String milestone1;
    @ApiModelProperty("里程碑id1")
    private String mileId1;
    @ApiModelProperty("描述1")
    private String desc1;
    @ApiModelProperty("对应里程碑2")
    private String milestone2;
    @ApiModelProperty("里程碑id2")
    private String mileId2;
    @ApiModelProperty("描述2")
    private String desc2;
    @ApiModelProperty("对应里程碑3")
    private String milestone3;
    @ApiModelProperty("里程碑id3")
    private String mileId3;
    @ApiModelProperty("描述3")
    private String desc3;
    @ApiModelProperty("对应里程碑4")
    private String milestone4;
    @ApiModelProperty("描述4")
    private String desc4;
    @ApiModelProperty("里程碑id4")
    private String mileId4;
    @ApiModelProperty("对应里程碑5")
    private String milestone5;
    @ApiModelProperty("里程碑id5")
    private String mileId5;
    @ApiModelProperty("描述5")
    private String desc5;
    @ApiModelProperty("排序")
    private Integer sort;

    public ProArchivesAndBusinessAddReqDTO() {
    }

    public ProArchivesAndBusinessAddReqDTO(ProjectManageArchivesAndBusiness business) {
        this.id = business.getId();
        this.planId = business.getPlanId();
        this.planType = business.getPlanType();
        this.planName = business.getPlanName();
        this.price1 = business.getPrice1();
        this.price2 = business.getPrice2();
        this.price3 = business.getPrice3();
        this.price4 = business.getPrice4();
        this.price5 = business.getPrice5();
        this.milestone1 = business.getMilestone1();
        this.mileId1 = business.getMileId1();
        this.desc1 = business.getDesc1();
        this.milestone2 = business.getMilestone2();
        this.mileId2 = business.getMileId2();
        this.desc2 = business.getDesc2();
        this.milestone3 = business.getMilestone3();
        this.mileId3 = business.getMileId3();
        this.desc3 = business.getDesc3();
        this.milestone4 = business.getMilestone4();
        this.desc4 = business.getDesc4();
        this.mileId4 = business.getMileId4();
        this.milestone5 = business.getMilestone5();
        this.mileId5 = business.getMileId5();
        this.desc5 = business.getDesc5();
    }
}
