package org.jeecg.common.dto.archives;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.jeecg.modules.archives.entity.ProjectManageBusinessOther;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import java.util.List;

/**
   * @Author jihaosen
   * @date 2021/2/25
   * @desc
   */
@ApiModel("项目档案--计划表响应参数")
 @Data
public class ProBusinessOtherListRespDTO {
    @ApiModelProperty( "id")
     private String id;
    @ApiModelProperty( "当前节点id")
    private String key;
    @ApiModelProperty("里程碑名称")
    @Getter
    @Setter
    private String title;
    @ApiModelProperty( "父节点id")
    private String parentId;
    @ApiModelProperty( "里程碑id")
    private String muilesId;
    @ApiModelProperty( "里程碑名称")
    private String muilesName;
    @ApiModelProperty( "开始时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date startDate;
    @ApiModelProperty( "结束时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endDate;
    @ApiModelProperty( "计划人天")
    private String planTime;
    @ApiModelProperty( "执行人")
    private String executor;
    @ApiModelProperty( "执行人id （来源角色表）")
    private String executorId;
    @ApiModelProperty( "实际人天")
    private String realTime;
    @ApiModelProperty(" 是否叶子节点: 1:是 0:不是")
    private boolean isLeaf;
    @ApiModelProperty( "排序")
    private Integer sort;
    @Getter
    @Setter
    private List<String> executors;

    private List<ProBusinessOtherListRespDTO> children;

    public ProBusinessOtherListRespDTO() {
    }

    public ProBusinessOtherListRespDTO(ProjectManageBusinessOther other, List<String> executorIdList) {
        this.id = other.getId();
        this.key = other.getKeyId();
        this.parentId = other.getParentId();
        this.muilesId = other.getMuilesId();
        this.muilesName = other.getMuilesName();
        this.startDate = other.getStartDate();
        this.endDate = other.getEndDate();
        this.planTime = other.getPlanTime();
        this.executor = other.getExecutor();
        this.executorId = other.getExecutorId();
        this.realTime = other.getRealTime();
        this.title = other.getMuilesName();
        this.isLeaf = false;
        this.executors = executorIdList;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getMuilesId() {
        return muilesId;
    }

    public void setMuilesId(String muilesId) {
        this.muilesId = muilesId;
    }

    public String getMuilesName() {
        return muilesName;
    }

    public void setMuilesName(String muilesName) {
        this.muilesName = muilesName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getPlanTime() {
        return planTime;
    }

    public void setPlanTime(String planTime) {
        this.planTime = planTime;
    }

    public String getExecutor() {
        return executor;
    }

    public void setExecutor(String executor) {
        this.executor = executor;
    }

    public String getExecutorId() {
        return executorId;
    }

    public void setExecutorId(String executorId) {
        this.executorId = executorId;
    }

    public String getRealTime() {
        return realTime;
    }

    public void setRealTime(String realTime) {
        this.realTime = realTime;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(boolean leaf) {
        isLeaf = leaf;
    }
}
