package org.jeecg.common.dto.payment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@ApiModel("收付款单新增请求参数")
@Data
public class SlipAddReqDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("单据编号")
    private String billcode;
    @ApiModelProperty("1.收款单 2.付款单")
    @NotEmpty(message = "参数type不能为空")
    private String type;
    @ApiModelProperty("项目id")
    private String proId;
    @ApiModelProperty("项目名称")
    private String proName;
    @ApiModelProperty("项目编码")
    private String proCode;
    @ApiModelProperty("客户档案id")
    private String cusId;
    @ApiModelProperty("客户档案编码")
    private String cusCode;
    @ApiModelProperty("客户档案名称")
    private String cusName;
    @ApiModelProperty("组织")
    private String pkOrg;

    private List<SlipContentAddReqDTO> detailList;
    public SlipAddReqDTO() {
    }
}
