package org.jeecg.modules.invoice.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.dto.invoice.PurchaseDetailAddReqDTO;
import org.springframework.format.annotation.DateTimeFormat;

 /**
   * @Author jihaosen
   * @date 2021/3/2
   */
@ApiModel("采购,销售发票详情表")
@Data
@TableName("invoice_manage_pirchase_detail")
public class InvoiceManagePurchaseDetail implements Serializable {
	private static final long serialVersionUID = -6372683069405898456L;
	@ApiModelProperty("id")
	@TableId(type = IdType.UUID)
	private String id;
	 @ApiModelProperty("采购，销售发票id")
	private String purchaseId;
	@ApiModelProperty("收款条线档案id")
	private String coArchivesId;
	@ApiModelProperty("收付款条线")
	private String coArchivesName;
	@ApiModelProperty("项目档案里程碑表id")
	private String proBusinessId;
	@ApiModelProperty("项目档案里程碑（项目档案—商务，页签中的收款计划）")
	private String proArchivesMilestone;
	@ApiModelProperty("金额 （里程碑与首付款条线对应金额）")
	private java.math.BigDecimal price;
	@ApiModelProperty("未收票金额")
	private java.math.BigDecimal uncoPrice;
	@ApiModelProperty("收票金额")
	private java.math.BigDecimal coPrice;
	@ApiModelProperty("创建时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	@ApiModelProperty("创建人")
	private String createBy;
	@ApiModelProperty("修改时间")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	@ApiModelProperty("修改人")
	private String updateBy;
	@ApiModelProperty("删除状态（0，正常，1已删除）")
	private String delFlag;
	@ApiModelProperty("组织")
	private String pkOrg;
	 @ApiModelProperty("排序")
	 private Integer sort;

	public InvoiceManagePurchaseDetail() {
	}

	 /**
	  * @desc 添加用
	  */
	 public InvoiceManagePurchaseDetail(PurchaseDetailAddReqDTO detail) {
		 this.purchaseId = detail.getPurchaseId();
		 this.coArchivesId = detail.getCoArchivesId();
		 this.coArchivesName = detail.getCoArchivesName();
		 this.proBusinessId = detail.getProBusinessId();
		 this.proArchivesMilestone = detail.getProArchivesMilestone();
		 this.price = detail.getPrice();
		 this.uncoPrice = detail.getUncoPrice();
		 this.coPrice = detail.getCoPrice();
		 this.delFlag = "0";
		 this.pkOrg = detail.getPkOrg();
	 }

	 /**
	  * @desc 删除用
	  */
	 public InvoiceManagePurchaseDetail(String delFlag) {
		 this.delFlag = delFlag;
	 }

 }
