package org.jeecg.modules.payment.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.dto.payment.SlipContentAddReqDTO;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @Author jihaosen
 * @date 2021/3/3
 */
@ApiModel("收付款单子表")
@Data
@TableName("manage_payment_and_receipt_content")
public class ManagePaymentAndReceiptContent implements Serializable {
    private static final long serialVersionUID = 7509762288415911028L;
    @ApiModelProperty("id")
    @TableId(type = IdType.UUID)
    private String id;
    @ApiModelProperty("收款单id")
    private String slipId;
    @ApiModelProperty("项目档案--里程碑id")
    private String proArchivesId;
    @ApiModelProperty("项目档案--里程碑")
    private String proArchivesMilestone;
    @ApiModelProperty("收款条线档案id")
    private String coArchivesId;
    @ApiModelProperty("收付款条线档案名称")
    private String coArchivesName;
    @ApiModelProperty("收款金额")
    private BigDecimal coPrvice;
    @ApiModelProperty("说明")
    @TableField("`explain`")
    private String explain;
    @ApiModelProperty("采购发票id")
    private String invoiceId;
    @ApiModelProperty("对应发票(采购发票)")
    private String invoice;
    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("修改时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("删除状态（0，正常，1已删除）")
    private String delFlag;
    @ApiModelProperty("组织")
    private String pkOrg;
    @ApiModelProperty("排序")
    private Integer sort;

    public ManagePaymentAndReceiptContent() {
    }

    public ManagePaymentAndReceiptContent(SlipContentAddReqDTO reqDTO ) {
        this.id = reqDTO.getId();
        this.slipId = reqDTO.getSlipId();
        this.proArchivesId = reqDTO.getProArchivesId();
        this.proArchivesMilestone = reqDTO.getProArchivesMilestone();
        this.coArchivesId = reqDTO.getCoArchivesId();
        this.coArchivesName = reqDTO.getCoArchivesName();
        this.coPrvice = reqDTO.getCoPrvice();
        this.explain = reqDTO.getExplain();
        this.invoice = reqDTO.getInvoice();
        this.delFlag = "0";
        this.pkOrg = reqDTO.getPkOrg();
        this.invoiceId = reqDTO.getInvoiceId();
    }

    public ManagePaymentAndReceiptContent(String delFlag ) {
        this.delFlag = delFlag;
    }
}
